# xarray.ufuncs.square

`xarray.ufuncs.``square` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.square. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  square(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Return the element-wise square of the input.

  Parameters:

  x : array_like

  > Input data.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  out : ndarray

  > Element-wise x*x, of the same shape and dtype as x. Returns scalar if x is a scalar.

  See also

  `numpy.linalg.matrix_power`, `sqrt`, `power`

  Examples

      >>> np.square([-1j, 1])
      array([-1.-0.j,  1.+0.j])